Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/alceste/alcesteLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/alceste/alcesteLoader.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/alceste/alcesteLoader.groovy	(revision 1613)
@@ -123,10 +123,10 @@
 	Collections.sort(filelist);
 	def second = 0
 
-	println "Paginating texts: "
-
+	println "Paginating "+filelist.size()+" texts"
+	ConsoleProgressBar cpb = new ConsoleProgressBar(filelist.size());
 	for (File srcfile : filelist) {
-		print "."
+		cpb.tick()
 		String txtname = srcfile.getName();
 		int i = txtname.lastIndexOf(".");
 		if (i > 0) txtname = txtname.substring(0, i);
@@ -150,6 +150,7 @@
 			edition.addPage(""+(++i), wordid);
 		}
 	}
+	cpb.done()
 }
 
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperbase/hyperbaseLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperbase/hyperbaseLoader.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperbase/hyperbaseLoader.groovy	(revision 1613)
@@ -121,10 +121,10 @@
 	Collections.sort(filelist);
 	def second = 0
 
-	println "Paginating texts: "
-
+	println "Paginating "+filelist.size()+" texts"
+	ConsoleProgressBar cpb = new ConsoleProgressBar(filelist.size());
 	for (File txmFile : filelist) {
-		print "."
+		cpb.tick()
 		String txtname = txmFile.getName();
 		int i = txtname.lastIndexOf(".");
 		if(i > 0) txtname = txtname.substring(0, i);
@@ -149,6 +149,7 @@
 			edition.addPage(""+(++i), wordid);
 		}
 	}
+	cpb.done()
 }
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 if (MONITOR != null) MONITOR.worked(20, "FINALIZING")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImporter.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImporter.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImporter.groovy	(revision 1613)
@@ -23,7 +23,7 @@
 import org.txm.metadatas.Metadatas
 import org.txm.objects.*
 import org.txm.importer.scripts.xmltxm.Xml2Ana
-import org.txm.stat.utils.ConsoleProgressBar
+import org.txm.utils.ConsoleProgressBar
 import org.txm.utils.io.*
 import org.txm.importer.xtz.*
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZCompiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZCompiler.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZCompiler.groovy	(revision 1613)
@@ -5,7 +5,7 @@
 import org.txm.*
 import org.txm.scripts.importer.SAttributesListener
 import org.txm.importer.cwb.*
-import org.txm.stat.utils.ConsoleProgressBar
+import org.txm.utils.ConsoleProgressBar
 import org.txm.core.preferences.TXMPreferences
 import org.txm.core.preferences.TBXPreferences
 import org.txm.libs.cqp.CQPLibPreferences
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZPager.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZPager.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZPager.groovy	(revision 1613)
@@ -7,7 +7,7 @@
 import org.w3c.dom.Element
 
 import org.txm.scripts.importer.*
-import org.txm.stat.utils.ConsoleProgressBar
+import org.txm.utils.ConsoleProgressBar
 import org.txm.utils.BundleUtils;
 import org.txm.utils.io.FileCopy;
 import org.txm.utils.i18n.*
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/discours/discoursLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/discours/discoursLoader.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/discours/discoursLoader.groovy	(revision 1613)
@@ -110,10 +110,10 @@
 	List<File> filelist = txmDir.listFiles();
 	Collections.sort(filelist);
 
-	println "Paginating texts: "
-
+	println "Paginating "+filelist.size()+" texts"
+	ConsoleProgressBar cpb = new ConsoleProgressBar(filelist.size());
 	for (File txmFile : filelist) {
-		print "."
+		cpb.tick()
 		String txtname = txmFile.getName();
 		int i = txtname.lastIndexOf(".");
 		if(i > 0) txtname = txtname.substring(0, i);
@@ -136,6 +136,7 @@
 			edition.addPage(""+(++i), wordid);
 		}
 	}
+	cpb.done()
 }
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 if (MONITOR != null) MONITOR.worked(20, "FINALIZING")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/compiler.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/compiler.groovy	(revision 1613)
@@ -50,6 +50,7 @@
 import java.util.HashMap
 import java.util.HashSet
 import org.txm.metadatas.*
+import org.txm.utils.ConsoleProgressBar
 import org.txm.utils.io.FileCopy
 import org.txm.searchengine.cqp.corpus.*
 
@@ -182,7 +183,7 @@
 	 */
 	private boolean createOutput(File f){
 		try {
-			output = new OutputStreamWriter(new BufferedOutputStream(new FileOutputStream(f,f.exists())) , "UTF-8");
+			output = new OutputStreamWriter(new BufferedOutputStream(new FileOutputStream(f, f.exists())) , "UTF-8");
 			return true;
 		} catch (Exception e) {
 			System.err.println(e);
@@ -515,9 +516,10 @@
 			getAnaTypes(f)
 		}
 
-		println("Compiling "+files.size()+" $files ")
+		println("Compiling "+files.size()+" files ")
+		ConsoleProgressBar cpb = new ConsoleProgressBar(files.size())
 		for (File f : files) {
-			print "."
+			cpb.tick()
 			HashMap<String, String> textmetadata;
 			if (metadatas != null)
 				textmetadata = metadatas.getTextMetadata(f)
@@ -536,7 +538,8 @@
 				}
 			}
 		}
-
+		cpb.done()
+		
 		//end corpus
 		if (createOutput(cqpFile)) {
 			output.write("</txmcorpus>\n")
@@ -698,8 +701,6 @@
 			cwbMa.run(corpusname, outDir + "/registry");
 		} catch (Exception ex) {System.out.println(ex); return false;}
 
-		println "CORPUS="+corpus
-		
 		return true;
 	}
 
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/importer.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/importer.groovy	(revision 1613)
@@ -129,7 +129,7 @@
 		println ""
 
 		okfiles.sort()
-		println "Files processed: "+okfiles
+		println "Files to process: "+okfiles
 		if (okfiles.size() == 0) {
 			println "No file. Check if the file extensions are '.xml'"
 			return false;
@@ -148,9 +148,8 @@
 		//println "ptokenfiles "+ptokenfiles
 		//TOKENIZE FILES
 		List<File> tokenfiles;
-		println "Tokenize=$tokenize sentence=$sentence"
 		if (tokenize || sentence) {
-			println "Tokenizing "+okfiles.size()+" files"
+			println "Tokenizing (words=$tokenize sentences=$sentence) "+okfiles.size()+" files"
 			for (File f : okfiles) {
 				print "."
 				File infile = f;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/xmlLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/xmlLoader.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xml/xmlLoader.groovy	(revision 1613)
@@ -257,10 +257,10 @@
 	Collections.sort(filelist);
 	def second = 0
 
-	println "Paginating texts: "+filelist
-
+	println "Paginating "+filelist.size()+" texts"
+	ConsoleProgressBar cpb = new ConsoleProgressBar(filelist.size());
 	for (File txmFile : filelist) {
-		print "."
+		cpb.tick()
 		String txtname = txmFile.getName();
 		int i = txtname.lastIndexOf(".");
 		if (i > 0) txtname = txtname.substring(0, i);
@@ -285,6 +285,7 @@
 			edition.addPage(""+(++i), wordid);
 		}
 	}
+	cpb.done()
 }
 
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/docLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/docLoader.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/doc/docLoader.groovy	(revision 1613)
@@ -292,11 +292,11 @@
 	Collections.sort(filelist);
 	def second = 0
 
-	println "Paginating texts: "
-
+	println "Paginating "+filelist.size()+" texts"
+	ConsoleProgressBar cpb = new ConsoleProgressBar(filelist.size());
 	for (File txmFile : filelist) {
 		if (txmFile.isHidden() || txmFile.isDirectory() || txmFile.getName().startsWith(".")) continue;
-		print "."
+		cpb.tick()
 
 		String txtname = txmFile.getName();
 		int i = txtname.lastIndexOf(".");
@@ -321,6 +321,7 @@
 			edition.addPage(""+(++i), wordid);
 		}
 	}
+	cpb.done()
 
 	for (File unzipDir : docfiles.listFiles()) {
 		File css = new File(unzipDir, "style.css")
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/AnnotateWTC.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/AnnotateWTC.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/AnnotateWTC.groovy	(revision 1613)
@@ -35,7 +35,7 @@
 import org.txm.scripts.importer.*
 import org.txm.importer.cwb.*
 import org.txm.objects.*
-import org.txm.stat.utils.ConsoleProgressBar
+import org.txm.utils.ConsoleProgressBar
 import org.txm.utils.DeleteDir;
 import org.txm.utils.LangDetector;
 import org.txm.utils.treetagger.TreeTagger
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/Annotate.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/Annotate.groovy	(revision 1612)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/teitxm/Annotate.groovy	(revision 1613)
@@ -36,7 +36,7 @@
 import org.txm.scripts.importer.*
 import org.txm.importer.cwb.*
 import org.txm.objects.*
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.LangDetector;
 import org.txm.utils.logger.Log;
 import org.txm.utils.treetagger.TreeTagger
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 1612)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 1613)
@@ -29,6 +29,7 @@
 
 
 import java.util.ArrayList;
+import java.util.Arrays;
 import java.util.HashMap;
 import java.util.HashSet;
 import java.util.List;
@@ -100,7 +101,7 @@
 				IWorkbenchWindow wb = HandlerUtil.getActiveWorkbenchWindow(event);
 				IEditorPart ieditor = wb.getActivePage().getActiveEditor();
 
-				if (!backToText(ieditor, corpusid, editionid, textid, wordid)) {
+				if (!backToText(ieditor, corpusid, Arrays.asList(editionid.split("|")), textid, wordid)) {
 					System.out.println("Could not open edition for wordid="+wordid+" textid="+textid+" edition="+editionid);
 				}
 			} catch (Exception e) {
@@ -133,27 +134,24 @@
 		return null;
 	}
 
-	private boolean backToText(IEditorPart ieditor, String corpusid, String editionid, String textid, String wordid) throws Exception {
+	private boolean backToText(IEditorPart ieditor, String corpusid, List<String> editions, String textid, String wordid) throws Exception {
 		MainCorpus corpus = CorpusManager.getCorpusManager().getCorpus(corpusid);
 
 		if (corpus == null) {
 			System.out.println("Error: no corpus with ID="+corpusid);
 		}
 
-		if (editionid != null && !corpus.getProject().getEditionNames().contains(editionid)) {
-			System.out.println("Warning: corpus has no edition with id="+editionid);
-			editionid = "default";
+		if (editions != null && !corpus.getProject().getBuiltEditionNames().containsAll(editions)) {
+			System.out.println("Warning: corpus has no edition with id="+editions);
+			editions = Arrays.asList("default");
 		}
 
-		if (!corpus.getProject().getEditionNames().contains(editionid)) {
+		if (!corpus.getProject().getBuiltEditionNames().containsAll(editions)) {
 			System.out.println("Error: corpus has no default edition.");
 			System.out.println("Availables: "+corpus.getProject().getEditionNames());
 			return false;
 		}
 
-		if (editionid == null) editionid = "default";
-
-		String[] editions = {editionid};
 		SynopticEditionEditor editor = null;
 		if (ieditor != null && ieditor instanceof SynopticEditionEditor) {
 			editor = (SynopticEditionEditor)ieditor;
@@ -265,7 +263,7 @@
 						return false;
 					}
 				} else {
-					Log.info(NLS.bind(EditionUIMessages.openingDefaultEditionsColonP0, StringUtils.join(editionsToOpen)));
+					Log.fine(NLS.bind(EditionUIMessages.openingDefaultEditionsColonP0, StringUtils.join(editionsToOpen, ", ")));
 				}
 
 				attachedBrowserEditor = OpenEdition.openEdition(corpus, editionsToOpen);
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java	(revision 1612)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java	(revision 1613)
@@ -28,6 +28,7 @@
 package org.txm.edition.rcp.handlers;
 
 import java.util.ArrayList;
+import java.util.Arrays;
 import java.util.List;
 
 import org.apache.commons.lang.StringUtils;
@@ -103,7 +104,7 @@
 						return false;
 					}
 				} else {
-					Log.info(NLS.bind(EditionUIMessages.openingDefaultEditionsColonP0, StringUtils.join(editionsToOpen)));
+					Log.info(NLS.bind(EditionUIMessages.openingDefaultEditionsColonP0, StringUtils.join(editionsToOpen, ", ")));
 				}
 
 				editor = openEdition(c, editionsToOpen);
@@ -135,6 +136,16 @@
 	 * @return the object
 	 */
 	public static SynopticEditionEditor openEdition(CQPCorpus corpus, String[] editions) {
+		return openEdition(corpus, Arrays.asList(editions));
+	}
+	
+	/**
+	 * Open edition, but don't show a page 
+	 *
+	 * @param corpus the corpus
+	 * @return the object
+	 */
+	public static SynopticEditionEditor openEdition(CQPCorpus corpus, List<String> editions) {
 		String textid = null;
 
 		Log.fine("Opening edition of "+corpus); //$NON-NLS-1$
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 1612)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 1613)
@@ -28,6 +28,7 @@
 package org.txm.edition.rcp.editors;
 
 import java.util.ArrayList;
+import java.util.Arrays;
 import java.util.Collection;
 import java.util.HashMap;
 import java.util.HashSet;
@@ -97,7 +98,7 @@
 	org.eclipse.swt.widgets.Text page_text;
 	Label page_label;
 	GLComposite editionsArea;
-	private String[] editionNames;
+	private List<String> editionNames;
 	private CQPCorpus corpus;
 	private Text text;
 	private Button editionsChooser;
@@ -334,29 +335,28 @@
 		editionsChooser = new Button(controlsArea, SWT.PUSH);
 		editionsChooser.setText(StringUtils.join(editionNames, " | ")); //$NON-NLS-1$
 
-		if (corpus.getProject().getEditionNames().size() > 1) {			
+		if (corpus.getProject().getBuiltEditionNames().size() > 1) {			
 
 			editionsChooser.addSelectionListener(new SelectionListener() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
 					try {
+						List<String> availableEditions = corpus.getProject().getBuiltEditionNames();
+						if (availableEditions.size() == 0) return;
+						if (availableEditions.size() == 1) return;
+						
+						
 						Shell shell = e.display.getActiveShell();
 						EditionSelectorDialog d = new EditionSelectorDialog(shell, corpus, editionNames);
 
-						if (corpus.getProject().getEditionNames().size() > 1 && d.open() == Window.OK) {
+						if (d.open() == Window.OK) {
 							Object[] rez = d.getResult();
-							editionNames = new String[rez.length];
-							for(int i = 0 ; i < rez.length ; i++) editionNames[i] = rez[i].toString();
+							editionNames = new ArrayList<String>();
+							for(int i = 0 ; i < rez.length ; i++) editionNames.add(rez[i].toString());
+							
 							editionsChooser.setText(StringUtils.join(editionNames, " | ")); //$NON-NLS-1$
 							openEditions(corpus, text, editionNames);
 							firstPage();
-						} else if (corpus.getProject().getEditionNames().size() == 1) {
-							editionNames = new String[]{corpus.getProject().getEditionNames().get(0)};
-							editionsChooser.setText(StringUtils.join(editionNames, " | ")); //$NON-NLS-1$
-							openEditions(corpus, text, editionNames);
-							firstPage();
-						} else {
-							System.out.println(EditionUIMessages.noEditionFound);
 						}
 					} catch (Exception e2) {
 						org.txm.utils.logger.Log.printStackTrace(e2);
@@ -605,6 +605,15 @@
 	 * @param editionNames
 	 */
 	public boolean openEditions(CQPCorpus corpus, Text text, String... editionNames) {
+		return openEditions(corpus, text, Arrays.asList(editionNames));
+	}
+	
+	/**
+	 * Opens a list of edition corpus
+	 * @param corpus
+	 * @param editionNames
+	 */
+	public boolean openEditions(CQPCorpus corpus, Text text, List<String> editionNames) {
 
 		try {
 			text.compute();
@@ -618,10 +627,10 @@
 		}
 		editionPanels = new LinkedHashMap<String, EditionPanel>();
 
-		editionsArea.getLayout().numColumns = editionNames.length;
+		editionsArea.getLayout().numColumns = editionNames.size();
 
-		for (int i = 0 ; i < editionNames.length ;i++) {
-			String editionName = editionNames[i];
+		for (int i = 0 ; i < editionNames.size() ;i++) {
+			String editionName = editionNames.get(i);
 			//System.out.println("EDITION NAME: "+editionName);
 			Composite container = editionsArea;//.getContainer(i);
 			Edition edition = text.getEdition(editionName);
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionSelectorDialog.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionSelectorDialog.java	(revision 1612)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionSelectorDialog.java	(revision 1613)
@@ -1,5 +1,8 @@
 package org.txm.edition.rcp.editors;
 
+import java.util.Arrays;
+import java.util.List;
+
 import org.eclipse.jface.viewers.ILabelProvider;
 import org.eclipse.jface.viewers.ILabelProviderListener;
 import org.eclipse.swt.graphics.Image;
@@ -10,7 +13,7 @@
 
 public class EditionSelectorDialog extends ElementListSelectionDialog {
 
-	public EditionSelectorDialog(Shell parent, CorpusBuild corpus, String[] defaultSelection) {
+	public EditionSelectorDialog(Shell parent, CorpusBuild corpus, List<String> defaultSelection) {
 		super(parent, new ILabelProvider() {
 			@Override
 			public void removeListener(ILabelProviderListener listener) { }
@@ -41,12 +44,13 @@
 		setTitle(EditionUIMessages.editions);
 		setMessage(EditionUIMessages.selectOneOrMoreEditions);
 		setMultipleSelection(true);
-		setElements(corpus.getProject().getEditionNames().toArray());
+		
+		setElements(corpus.getProject().getBuiltEditionNames().toArray());
 		setFilter("*"); //$NON-NLS-1$
 		
 		if (defaultSelection == null) {
-			defaultSelection = new String[]{corpus.getProject().getDefaultEdition()};
+			defaultSelection = Arrays.asList(corpus.getProject().getDefaultEdition());
 		}
-		this.setInitialSelections(defaultSelection);
+		this.setInitialSelections(defaultSelection.toArray());
 	}
 }
\ No newline at end of file
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditorInput.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditorInput.java	(revision 1612)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditorInput.java	(revision 1613)
@@ -1,5 +1,8 @@
 package org.txm.edition.rcp.editors;
 
+import java.util.Arrays;
+import java.util.List;
+
 import org.eclipse.jface.resource.ImageDescriptor;
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IPersistableElement;
@@ -10,13 +13,11 @@
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 
-import cern.colt.Arrays;
-
 public class SynopticEditorInput extends TXMResultEditorInput implements IEditorInput {
 
 	private CQPCorpus corpus;
 	private Text text;
-	private String[] editions;
+	private List<String> editions;
 
 	/**
 	 * Instantiates a new SynopticEditorInput
@@ -25,7 +26,7 @@
 	 * @param text, the text to show
 	 * @param editions, the editions to show
 	 */
-	public SynopticEditorInput(CQPCorpus corpus, String text, String[] editions) {
+	public SynopticEditorInput(CQPCorpus corpus, String text, List<String> editions) {
 		super(corpus);
 		
 		this.corpus = corpus;
@@ -40,7 +41,7 @@
 		
 		if (editions == null) {
 			String[] defaultEditions = {corpus.getProject().getDefaultEdition()};
-			this.editions = defaultEditions;
+			this.editions = Arrays.asList(defaultEditions);
 		}
 	}
 
@@ -58,7 +59,7 @@
 	 */
 	@Override
 	public String getName() {
-		return corpus.getName()+ " - "+text+ " - "+Arrays.toString(editions);  //$NON-NLS-1$ //$NON-NLS-2$
+		return corpus.getName()+ " - "+text+ " - "+editions;  //$NON-NLS-1$ //$NON-NLS-2$
 	}
 
 	/* (non-Javadoc)
@@ -98,7 +99,7 @@
 		return text;
 	}
 	
-	public String[] getEditions() {
+	public List<String> getEditions() {
 		return editions;
 	}
 
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/WorkspaceMessagesManager.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/WorkspaceMessagesManager.java	(revision 1612)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/WorkspaceMessagesManager.java	(revision 1613)
@@ -14,7 +14,7 @@
 import java.util.TreeSet;
 import java.util.regex.Pattern;
 
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.io.IOUtils;
 
 /**
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/preferences/WorkspacePreferencesManager.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/preferences/WorkspacePreferencesManager.java	(revision 1612)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/preferences/WorkspacePreferencesManager.java	(revision 1613)
@@ -14,7 +14,7 @@
 import java.util.TreeSet;
 import java.util.regex.Pattern;
 
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.io.IOUtils;
 
 /**
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExportTranslateProject.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExportTranslateProject.java	(revision 1612)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExportTranslateProject.java	(revision 1613)
@@ -14,7 +14,7 @@
 import org.eclipse.ui.internal.wizards.datatransfer.ArchiveFileExportOperation;
 import org.txm.Toolbox;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 
 public class ExportTranslateProject extends BaseAbstractHandler {
 
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/CreateTranslateProject.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/CreateTranslateProject.java	(revision 1612)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/CreateTranslateProject.java	(revision 1613)
@@ -27,7 +27,7 @@
 import org.txm.Toolbox;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.stat.utils.ConsoleProgressBar;
+import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.logger.Log;
 
 public class CreateTranslateProject extends BaseAbstractHandler {
